#!/bin/sh

VFILE=./patches_versions.txt

add()
{
	#$1 is the entry index
	#$2 is the version
	#$3 is the filename prefix, it's optional, else $1 is used.

	FILE=$1-$2.tar.gz

	if [ "$3" != "nomd5" ]; then
		if [ "$#" -ne '2' ]; then
			FILE=$3
		fi

		if [ ! -e $FILE ]; then
			echo "missing: $FILE";
			return;
		fi
	
		MD5=`md5sum $FILE | cut -d\  -f1`
	else
		MD5="";
	fi

	echo "$1:$2:$MD5" >> $VFILE;
}


echo -n '' > $VFILE

for i in `ls -t patches`; do
{
	add $i 1 patches/$i;
};
done;
